<?xml version="1.0" encoding="utf-8"?>
<manifest xmlns:android="http://schemas.android.com/apk/res/android"
    xmlns:tools="http://schemas.android.com/tools"
    package="com.wisewoods.eduandroid">

    <uses-feature android:name="android.hardware.camera.any"/>

    <uses-permission android:name="android.permission.CALL_PHONE" />
    <uses-permission android:name="android.permission.READ_PHONE_STATE" />
    <uses-permission android:name="android.permission.INTERNET" />
    <uses-permission android:name="android.permission.ACCESS_NETWORK_STATE" />
    <uses-permission android:name="android.permission.ACCESS_WIFI_STATE" />
    <uses-permission android:name="android.permission.READ_LOGS" />

    <uses-permission
        android:name="android.permission.READ_PRIVILEGED_PHONE_STATE"
        tools:ignore="ProtectedPermissions" />
    <uses-permission android:name="android.permission.REQUEST_INSTALL_PACKAGES" />


    <application
        tools:replace="android:allowBackup"
        android:name=".app.App"
        android:allowBackup="true"
        android:icon="@mipmap/ic_launcher"
        android:label="@string/app_name"
        android:supportsRtl="true"
        android:theme="@style/AppTheme">

        <meta-data
            android:name="PGYER_API_KEY"
            android:value="b5042b8f1c95ba384dfc83c90ecdd235"></meta-data>
        <meta-data
            android:name="PGYER_FRONTJS_KEY"
            android:value="ac4b829ed3400d93c8eb2bd1751d4793"></meta-data>

        <!--添加新版本检测-->
        <meta-data
            android:name="PGYER_FEATURE_CHECK_UNPDATE"
            android:value="true"></meta-data>

        <activity
            android:name=".ui.LoginActivity"
            android:screenOrientation="portrait">
            <intent-filter>
                <action android:name="android.intent.action.MAIN" />

                <category android:name="android.intent.category.LAUNCHER" />
            </intent-filter>
        </activity>
        <activity
            android:name=".ui.MainActivity"
            android:screenOrientation="portrait" />
        <activity
            android:name=".ui.VersionActivity"
            android:screenOrientation="portrait" />
        <activity
            android:name=".ui.ProjectActivity"
            android:screenOrientation="portrait" />
        <activity
            android:name=".ui.ClassActivity"
            android:screenOrientation="portrait" />
        <activity
            android:name=".ui.ScheduleActivity"
            android:screenOrientation="portrait" />
        <activity
            android:name=".ui.MessageActivity"
            android:screenOrientation="portrait" />
        <activity
            android:name=".ui.ChangePwdActivity"
            android:screenOrientation="portrait" />
        <activity
            android:name=".ui.UserInfoActivity"
            android:screenOrientation="portrait" />
        <activity
            android:name=".ui.ResActivity"
            android:screenOrientation="portrait" />
        <activity
            android:name=".ui.WebActivity"
            android:screenOrientation="portrait" />
        <activity
            android:name=".ui.LiveListActivity"
            android:screenOrientation="portrait" />
        <activity
            android:name=".ui.BuildingBaseActivity"
            android:configChanges="orientation|screenSize|keyboardHidden"
            android:screenOrientation="portrait" />
        <activity
            android:name=".ui.ChangeBuildingActivity"
            android:screenOrientation="portrait" />
        <activity
            android:name=".ui.StudentActivity"
            android:screenOrientation="portrait" />
        <activity
            android:name=".ui.SleepActivity"
            android:screenOrientation="portrait" />
        <activity
            android:name=".ui.RoomActivity"
            android:screenOrientation="portrait" />
        <activity
            android:name=".ui.HostelActivity"
            android:screenOrientation="portrait" />
        <activity
            android:name=".ui.TaskActivity"
            android:screenOrientation="portrait" />
        <activity
            android:name=".ui.CarPlanActivity"
            android:screenOrientation="portrait" />
        <activity
            android:name=".ui.TeacherInfoActivity"
            android:screenOrientation="portrait" />
        <activity
            android:name=".ui.TeacherCourseActivity"
            android:screenOrientation="portrait" />
        <activity
            android:name=".ui.CourseActivity"
            android:screenOrientation="portrait" />
        <activity
            android:name=".ui.StudentLeaveActivity"
            android:screenOrientation="portrait" />
        <activity
            android:name=".ui.MettingActivity"
            android:screenOrientation="portrait" />
        <activity
            android:name=".ui.CreateMettingActivity"
            android:screenOrientation="portrait" />
        <activity
            android:name=".ui.MettingPeopleActivity"
            android:screenOrientation="portrait" />
        <activity
            android:name=".ui.MettingHistoryActivity"
            android:screenOrientation="portrait" />
        <activity
            android:name=".ui.MettingDetailActivity"
            android:screenOrientation="portrait" />
        <activity
            android:name=".ui.AddCourseActivity"
            android:screenOrientation="portrait" />

        <activity
            android:name=".ui.TeacherScheduleActivity"
            android:screenOrientation="portrait" />
        <activity
            android:name=".ui.RoomLiveActivity"
            android:screenOrientation="portrait" />
        <activity
            android:name=".ui.ShowLiveActivity"
            android:screenOrientation="portrait" />

        <activity
            android:name=".ui.JzVideoActivity"
            android:configChanges="orientation|screenSize|keyboardHidden"
            android:screenOrientation="portrait" />
    </application>

</manifest>